package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.common.module.utils.HttpUtils2;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.stereotype.Component;

@Component
public class KuaishouOpenPhotoListJob {

    @XxlJob("getKuaishouOpenPhotoInfo")
    public void getKuaishouOpenPhotoInfo() {
        //查询用户视频列列表
        String listUrl = "http://ruixuan.api.bjhcstszkj.cn/open/photo/insertKuaishouOpenPhotoList";
        //新增视频数量
        String countUrl = "http://ruixuan.api.bjhcstszkj.cn/open/photo/insertKuaishouOpenPhotoCount";
        HttpUtils2.httpGet(listUrl, null, null);
        HttpUtils2.httpGet(countUrl, null, null);

    }

    @XxlJob("getKuaishouOpenUserInfo")
    public void getKuaishouOpenUserInfo() {
        //获取用户公开信息
        String userUrl = "http://ruixuan.api.bjhcstszkj.cn/open/photo/insertKuaishouOpenUserInfo";
        HttpUtils2.httpGet(userUrl, null, null);
    }

}
